package main

import (
	"errors"
	"net/http"
	"os"
	"log"
)

func main() {

	var pool Pool
	pool.logger = log.New(os.Stdout, "[DCS] ", log.Ldate | log.Ltime)

	http.HandleFunc("/", pool.getRoot)

	pool.logger.Println("Starting TCP listener.")
	go pool.tcplistener()

	pool.logger.Println("Starting HTTP listener.")
	err := http.ListenAndServe("0.0.0.0:8888", nil)
	if errors.Is(err, http.ErrServerClosed) {
		pool.logger.Println("server closed.")
	} else if err != nil {
		pool.logger.Printf("error starting server: %s\n", err)
		os.Exit(1)
	}
}